Generate a pre-signed S3 URL for uploading a source map for a release.
POST
/rum/{app_id}/releases/{version}/sourcemaps
const url = 'https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/releases/example/sourcemaps';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"filename":"example","content_type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/releases/example/sourcemaps \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "filename": "example", "content_type": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” app_id
required
string format: uuid
RUM application identifier
version
required
string
Release version
Request Body required
Section titled “Request Body required ” Media type application/json
object
filename
required
string
content_type
string | null
Example generated
{ "filename": "example", "content_type": "example"}Responses
Section titled “ Responses ”Pre-signed upload URL
Media type application/json
object
upload_url
required
string
s3_key
required
string
expires_in_seconds
required
integer format: int32
Example generated
{ "upload_url": "example", "s3_key": "example", "expires_in_seconds": 1}Missing or invalid authentication
Release not found
Internal server error